'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _NavItem = require('./NavItem');

var _NavItem2 = _interopRequireDefault(_NavItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var HorizontalNav = function HorizontalNav(_ref) {
	var type = _ref.type,
	    children = _ref.children,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['type', 'children', 'className']);

	return _react2.default.createElement(
		'ul',
		_extends({
			className: (0, _classnames2.default)('bmbo-nav', 'bmbo-horizontal-nav', 'bmbo-' + (type || 'lead'), className)
		}, props),
		children
	);
};

HorizontalNav.propTypes = {
	type: _propTypes2.default.string,
	children: _propTypes2.default.node,
	className: _propTypes2.default.string
};

exports.default = HorizontalNav;