var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var A = function A(_ref) {
	var className = _ref.className,
	    target = _ref.target,
	    props = _objectWithoutProperties(_ref, ['className', 'target']);

	var myProps = { target: target };
	if (target === '_blank') {
		myProps.rel = 'noopener noreferrer';
	}

	return React.createElement('a', _extends({
		className: classNames('bmbo-a', className)
	}, myProps, props));
};

A.propTypes = {
	className: PropTypes.string,
	target: PropTypes.string
};

export default A;