var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import Field from './Field';

var Form = function (_React$Component) {
	_inherits(Form, _React$Component);

	function Form() {
		_classCallCheck(this, Form);

		var _this = _possibleConstructorReturn(this, (Form.__proto__ || Object.getPrototypeOf(Form)).call(this));

		_this.onFormChanged = function () {
			var onChanged = _this.props.onChanged;

			if (onChanged) onChanged();
		};

		_this.getInstance = function () {
			return _this.props.instance || _this;
		};

		_this.state = {};
		return _this;
	}

	_createClass(Form, [{
		key: 'getChildContext',
		value: function getChildContext() {
			var _props$path = this.props.path,
			    path = _props$path === undefined ? [] : _props$path;


			return {
				formInstance: this.getInstance(),
				formPath: Array.isArray(path) ? path : [path],
				onFormChanged: this.onFormChanged
			};
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    children = _props.children,
			    className = _props.className,
			    props = _objectWithoutProperties(_props, ['children', 'className']);

			delete props.instance;
			delete props.path;
			delete props.onChanged;

			return React.createElement(
				'div',
				_extends({ className: classNames('bmbo-form', className) }, props),
				children
			);
		}
	}]);

	return Form;
}(React.Component);

Form.propTypes = {
	children: PropTypes.node,
	className: PropTypes.string,

	instance: PropTypes.object,
	path: PropTypes.oneOfType([PropTypes.string, PropTypes.array]),
	onChanged: PropTypes.func
};

Form.childContextTypes = {
	formInstance: PropTypes.object,
	formPath: PropTypes.array,
	onFormChanged: PropTypes.func
};

Form.Field = Field;

export default Form;