import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var Caret = function Caret(_ref) {
	var _ref$direct = _ref.direct,
	    direct = _ref$direct === undefined ? 'right' : _ref$direct,
	    className = _ref.className;
	return React.createElement('span', {
		className: classNames('bmbo-icon bmbo-caret', direct && 'bmbo-caret-' + direct, className)
	});
};

Caret.propTypes = {
	direct: PropTypes.string,
	className: PropTypes.string
};

export default Caret;