import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var Loading = function Loading(_ref) {
	var id = _ref.id,
	    className = _ref.className;
	return React.createElement('span', {
		className: classNames('bmbo-icon bmbo-loading', id && 'bmbo-loading-' + id, className)
	});
};

Loading.propTypes = {
	id: PropTypes.number,
	className: PropTypes.string
};

export default Loading;