var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import { BAMBOO_COMPONENT } from '../utils/componentUtil';

export var BAMBOO_MODAL_TITLE = 'BAMBOO_MODAL_TITLE';

var ModalTitle = function ModalTitle(_ref) {
	var children = _ref.children,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['children', 'className']);

	return React.createElement(
		'div',
		_extends({ className: classNames('bmbo-modal-title', className) }, props),
		children
	);
};

ModalTitle.propTypes = {
	children: PropTypes.node,
	className: PropTypes.string
};

ModalTitle[BAMBOO_COMPONENT] = BAMBOO_MODAL_TITLE;

export default ModalTitle;