'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var A = function A(_ref) {
	var className = _ref.className,
	    target = _ref.target,
	    props = _objectWithoutProperties(_ref, ['className', 'target']);

	var myProps = { target: target };
	if (target === '_blank') {
		myProps.rel = 'noopener noreferrer';
	}

	return _react2.default.createElement('a', _extends({
		className: (0, _classnames2.default)('bmbo-a', className)
	}, myProps, props));
};

A.propTypes = {
	className: _propTypes2.default.string,
	target: _propTypes2.default.string
};

exports.default = A;