'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Field = require('./Field');

var _Field2 = _interopRequireDefault(_Field);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Form = function (_React$Component) {
	_inherits(Form, _React$Component);

	function Form() {
		_classCallCheck(this, Form);

		var _this = _possibleConstructorReturn(this, (Form.__proto__ || Object.getPrototypeOf(Form)).call(this));

		_this.onFormChanged = function () {
			var onChanged = _this.props.onChanged;

			if (onChanged) onChanged();
		};

		_this.getInstance = function () {
			return _this.props.instance || _this;
		};

		_this.state = {};
		return _this;
	}

	_createClass(Form, [{
		key: 'getChildContext',
		value: function getChildContext() {
			var _props$path = this.props.path,
			    path = _props$path === undefined ? [] : _props$path;


			return {
				formInstance: this.getInstance(),
				formPath: Array.isArray(path) ? path : [path],
				onFormChanged: this.onFormChanged
			};
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    children = _props.children,
			    className = _props.className,
			    props = _objectWithoutProperties(_props, ['children', 'className']);

			delete props.instance;
			delete props.path;
			delete props.onChanged;

			return _react2.default.createElement(
				'div',
				_extends({ className: (0, _classnames2.default)('bmbo-form', className) }, props),
				children
			);
		}
	}]);

	return Form;
}(_react2.default.Component);

Form.propTypes = {
	children: _propTypes2.default.node,
	className: _propTypes2.default.string,

	instance: _propTypes2.default.object,
	path: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.array]),
	onChanged: _propTypes2.default.func
};

Form.childContextTypes = {
	formInstance: _propTypes2.default.object,
	formPath: _propTypes2.default.array,
	onFormChanged: _propTypes2.default.func
};

Form.Field = _Field2.default;

exports.default = Form;