'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Loading = require('./Loading');

var _Loading2 = _interopRequireDefault(_Loading);

var _Caret = require('./Caret');

var _Caret2 = _interopRequireDefault(_Caret);

var _Search = require('./Search');

var _Search2 = _interopRequireDefault(_Search);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Icon = function Icon(_ref) {
	var name = _ref.name,
	    spin = _ref.spin,
	    className = _ref.className;
	return _react2.default.createElement('span', { className: (0, _classnames2.default)('fa fa-' + name + ' bmbo-icon', spin && 'fa-spin', className) });
};

Icon.propTypes = {
	name: _propTypes2.default.string,
	spin: _propTypes2.default.bool,
	className: _propTypes2.default.string
};

Icon.Loading = _Loading2.default;
Icon.Caret = _Caret2.default;
Icon.Search = _Search2.default;

exports.default = Icon;