'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.BAMBOO_MODAL_LOADING = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _componentUtil = require('../utils/componentUtil');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var BAMBOO_MODAL_LOADING = exports.BAMBOO_MODAL_LOADING = 'BAMBOO_MODAL_LOADING';

var ModalLoading = function ModalLoading(_ref) {
	var children = _ref.children,
	    loading = _ref.loading,
	    defaultView = _ref.defaultView,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['children', 'loading', 'defaultView', 'className']);

	var $content = children;

	if (defaultView) {
		$content = _react2.default.createElement(
			'div',
			{ className: (0, _classnames2.default)('bmbo-default-loading') },
			_react2.default.createElement(_Icon2.default.Loading, null)
		);
	}

	return _react2.default.createElement(
		'div',
		_extends({
			className: (0, _classnames2.default)('bmbo-modal-loading', {
				'bmbo-shown': loading,
				className: className
			})
		}, props),
		$content
	);
};

ModalLoading.propTypes = {
	loading: _propTypes2.default.bool,
	children: _propTypes2.default.node,
	className: _propTypes2.default.string,
	defaultView: _propTypes2.default.bool
};

ModalLoading[_componentUtil.BAMBOO_COMPONENT] = BAMBOO_MODAL_LOADING;

exports.default = ModalLoading;