'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _envUtil = require('../utils/envUtil');

var _ModalFlexHolder = require('./ModalFlexHolder');

var _ModalFlexHolder2 = _interopRequireDefault(_ModalFlexHolder);

var _Modal = require('./Modal');

var _Modal2 = _interopRequireDefault(_Modal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BAMBOO_MODAL_FLEX_HOLDER = 'bmbo_modal_flex_holder';

var $modalFlexHolder = void 0;
if (_envUtil.canUseDOM) {
	// Clean up menu holder for hot module reload
	window.document.querySelectorAll('#' + BAMBOO_MODAL_FLEX_HOLDER).forEach(function (ele) {
		ele.remove();
	});

	// Set up menu holder
	var $flexHolder = window.document.createElement('div');
	$flexHolder.id = BAMBOO_MODAL_FLEX_HOLDER;

	(0, _reactDom.render)(_react2.default.createElement(_ModalFlexHolder2.default, {
		ref: function ref(node) {
			$modalFlexHolder = node;
		}
	}), $flexHolder);
}

_Modal2.default.showDialog = function (config) {
	if (!$modalFlexHolder) {
		console.error('[Modal] Flex holder not defined.(Isomorphic render?)');
		return;
	}

	$modalFlexHolder.showDialog(config);
};

exports.default = _Modal2.default;