'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _HorizontalNav = require('./HorizontalNav');

var _HorizontalNav2 = _interopRequireDefault(_HorizontalNav);

var _VerticalNav = require('./VerticalNav');

var _VerticalNav2 = _interopRequireDefault(_VerticalNav);

var _NavGroup = require('./NavGroup');

var _NavGroup2 = _interopRequireDefault(_NavGroup);

var _NavItem = require('./NavItem');

var _NavItem2 = _interopRequireDefault(_NavItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Nav = function (_React$Component) {
	_inherits(Nav, _React$Component);

	function Nav() {
		_classCallCheck(this, Nav);

		return _possibleConstructorReturn(this, (Nav.__proto__ || Object.getPrototypeOf(Nav)).apply(this, arguments));
	}

	_createClass(Nav, [{
		key: 'getChildContext',
		value: function getChildContext() {
			return {
				navType: this.props.type,
				navVertical: this.props.vertical,
				navInline: this.props.inline
			};
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    vertical = _props.vertical,
			    props = _objectWithoutProperties(_props, ['vertical']);

			delete props.inline;

			if (vertical) return _react2.default.createElement(_VerticalNav2.default, props);
			return _react2.default.createElement(_HorizontalNav2.default, props);
		}
	}]);

	return Nav;
}(_react2.default.Component);

Nav.propTypes = {
	vertical: _propTypes2.default.bool,
	type: _propTypes2.default.string,
	inline: _propTypes2.default.bool
};

Nav.childContextTypes = {
	navType: _propTypes2.default.string,
	navVertical: _propTypes2.default.bool,
	navInline: _propTypes2.default.bool
};

Nav.Group = _NavGroup2.default;
Nav.Item = _NavItem2.default;

exports.default = Nav;