'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _componentUtil = require('../utils/componentUtil');

var _eventUtil = require('../utils/eventUtil');

var _PinBox = require('../PinBox');

var _PinBox2 = _interopRequireDefault(_PinBox);

var _Input = require('../Form/Input');

var _Input2 = _interopRequireDefault(_Input);

var _DatePicker = require('./DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Picker = function (_React$Component) {
	_inherits(Picker, _React$Component);

	function Picker() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Picker);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Picker.__proto__ || Object.getPrototypeOf(Picker)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (event) {
			var onChange = _this.props.onChange;

			if (onChange) {
				onChange((0, _eventUtil.wrapperEventValue)(event, _this.$input, event.target.value));
			}
		}, _this.setRef = function (ele) {
			_this.$input = ele;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Picker, [{
		key: 'render',
		value: function render() {
			var value = this.props.value;


			var $pin = _react2.default.createElement(_DatePicker2.default, { value: value, onChange: this.onChange });

			return _react2.default.createElement(
				_PinBox2.default,
				{ pin: $pin, backdrop: true },
				_react2.default.createElement(_Input2.default, _extends({}, _defineProperty({}, _componentUtil.BAMBOO_INTERNAL_REF, this.setRef), this.props))
			);
		}
	}]);

	return Picker;
}(_react2.default.Component);

Picker.propTypes = {
	value: _propTypes2.default.string,
	onChange: _propTypes2.default.func
};

exports.default = Picker;