var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import NavItem from './NavItem';

var HorizontalNav = function HorizontalNav(_ref) {
	var type = _ref.type,
	    children = _ref.children,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['type', 'children', 'className']);

	return React.createElement(
		'ul',
		_extends({
			className: classNames('bmbo-nav', 'bmbo-horizontal-nav', 'bmbo-' + (type || 'lead'), className)
		}, props),
		children
	);
};

HorizontalNav.propTypes = {
	type: PropTypes.string,
	children: PropTypes.node,
	className: PropTypes.string
};

export default HorizontalNav;